package cn.teammodel.model.dto.admin.appraise;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author winter
 * @create 2023-12-13 17:34
 */
@Data
public class UpdateAchievementRuleDto {
    @NotNull
    @ApiModelProperty("学段 id")
    private String periodId;
    @ApiModelProperty("更新的 rule 节点: 将会直接覆盖老节点")
    private UpdateRule updateRule;

    @Data
    public static class UpdateRule {
        private String id;
        /**
         * 等级名称
         */
        private String name = "";
        @ApiModelProperty("等级 logo")
        private String logo = "";
        @ApiModelProperty("每次所需表扬数")
        private Integer levelCount = 0;
        @ApiModelProperty("晋级所需下一等级所需当前等级次数")
        private Integer promotionLevel = 0;
    }
}
